Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi
This data source provides the list of Subsetting Policy Subsetting Schema Relations in Oracle Cloud Infrastructure Data Safe service.
Gets a list of referential relations present in the specified subsetting policy schemas based on the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicySubsettingSchemaRelations = oci.datasafe.getSubsettingPolicySubsettingSchemaRelations({
subsettingPolicyId: testSubsettingPolicy.id,
objects: subsettingPolicySubsettingSchemaRelationObject,
relationType: subsettingPolicySubsettingSchemaRelationRelationType,
schemaNames: subsettingPolicySubsettingSchemaRelationSchemaName,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policy_subsetting_schema_relations = oci.datasafe.get_subsetting_policy_subsetting_schema_relations(subsetting_policy_id=test_subsetting_policy["id"],
objects=subsetting_policy_subsetting_schema_relation_object,
relation_type=subsetting_policy_subsetting_schema_relation_relation_type,
schema_names=subsetting_policy_subsetting_schema_relation_schema_name)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicySubsettingSchemaRelations(ctx, &datasafe.GetSubsettingPolicySubsettingSchemaRelationsArgs{
SubsettingPolicyId: testSubsettingPolicy.Id,
Objects: subsettingPolicySubsettingSchemaRelationObject,
RelationType: pulumi.StringRef(subsettingPolicySubsettingSchemaRelationRelationType),
SchemaNames: subsettingPolicySubsettingSchemaRelationSchemaName,
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicySubsettingSchemaRelations = Oci.DataSafe.GetSubsettingPolicySubsettingSchemaRelations.Invoke(new()
{
SubsettingPolicyId = testSubsettingPolicy.Id,
Objects = subsettingPolicySubsettingSchemaRelationObject,
RelationType = subsettingPolicySubsettingSchemaRelationRelationType,
SchemaNames = subsettingPolicySubsettingSchemaRelationSchemaName,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingSchemaRelationsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicySubsettingSchemaRelations = DataSafeFunctions.getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs.builder()
.subsettingPolicyId(testSubsettingPolicy.get("id"))
.objects(subsettingPolicySubsettingSchemaRelationObject)
.relationType(subsettingPolicySubsettingSchemaRelationRelationType)
.schemaNames(subsettingPolicySubsettingSchemaRelationSchemaName)
.build());
}
}
variables:
testSubsettingPolicySubsettingSchemaRelations:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicySubsettingSchemaRelations
arguments:
subsettingPolicyId: ${testSubsettingPolicy.id}
objects: ${subsettingPolicySubsettingSchemaRelationObject}
relationType: ${subsettingPolicySubsettingSchemaRelationRelationType}
schemaNames: ${subsettingPolicySubsettingSchemaRelationSchemaName}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_data_safe_subsetting_policy_subsetting_schema_relations" "testSubsettingPolicySubsettingSchemaRelations" {
subsetting_policy_id = testSubsettingPolicy.id
objects = subsettingPolicySubsettingSchemaRelationObject
relation_type = subsettingPolicySubsettingSchemaRelationRelationType
schema_names = subsettingPolicySubsettingSchemaRelationSchemaName
}
Using getSubsettingPolicySubsettingSchemaRelations
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicySubsettingSchemaRelations(args: GetSubsettingPolicySubsettingSchemaRelationsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingSchemaRelationsResult>
function getSubsettingPolicySubsettingSchemaRelationsOutput(args: GetSubsettingPolicySubsettingSchemaRelationsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingSchemaRelationsResult>def get_subsetting_policy_subsetting_schema_relations(filters: Optional[Sequence[GetSubsettingPolicySubsettingSchemaRelationsFilter]] = None,
objects: Optional[Sequence[str]] = None,
relation_type: Optional[str] = None,
schema_names: Optional[Sequence[str]] = None,
subsetting_policy_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingSchemaRelationsResult
def get_subsetting_policy_subsetting_schema_relations_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingSchemaRelationsFilterArgs]]]] = None,
objects: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
relation_type: pulumi.Input[Optional[str]] = None,
schema_names: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingSchemaRelationsResult]func GetSubsettingPolicySubsettingSchemaRelations(ctx *Context, args *GetSubsettingPolicySubsettingSchemaRelationsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingSchemaRelationsResult, error)
func GetSubsettingPolicySubsettingSchemaRelationsOutput(ctx *Context, args *GetSubsettingPolicySubsettingSchemaRelationsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingSchemaRelationsResultOutput> Note: This function is named GetSubsettingPolicySubsettingSchemaRelations in the Go SDK.
public static class GetSubsettingPolicySubsettingSchemaRelations
{
public static Task<GetSubsettingPolicySubsettingSchemaRelationsResult> InvokeAsync(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> Invoke(GetSubsettingPolicySubsettingSchemaRelationsInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> Invoke(GetSubsettingPolicySubsettingSchemaRelationsInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingSchemaRelationsResult> getSubsettingPolicySubsettingSchemaRelations(GetSubsettingPolicySubsettingSchemaRelationsArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicySubsettingSchemaRelations:getSubsettingPolicySubsettingSchemaRelations
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policy_subsetting_schema_relations" "name" {
# arguments
}The following arguments are supported:
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
List<Get
Subsetting Policy Subsetting Schema Relations Filter> - Objects List<string>
- A filter to return only items related to a specific object name.
- Relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- Schema
Names List<string> - A filter to return only items related to specific schema name.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Filters
[]Get
Subsetting Policy Subsetting Schema Relations Filter - Objects []string
- A filter to return only items related to a specific object name.
- Relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- Schema
Names []string - A filter to return only items related to specific schema name.
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- filters list(object)
- objects list(string)
- A filter to return only items related to a specific object name.
- relation_
type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- schema_
names list(string) - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters
List<Get
Subsetting Policy Subsetting Schema Relations Filter> - objects List<String>
- A filter to return only items related to a specific object name.
- relation
Type String - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- schema
Names List<String> - A filter to return only items related to specific schema name.
- subsetting
Policy stringId - The OCID of the subsetting policy.
- filters
Get
Subsetting Policy Subsetting Schema Relations Filter[] - objects string[]
- A filter to return only items related to a specific object name.
- relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- schema
Names string[] - A filter to return only items related to specific schema name.
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- filters
Sequence[Get
Subsetting Policy Subsetting Schema Relations Filter] - objects Sequence[str]
- A filter to return only items related to a specific object name.
- relation_
type str - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- schema_
names Sequence[str] - A filter to return only items related to specific schema name.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- filters List<Property Map>
- objects List<String>
- A filter to return only items related to a specific object name.
- relation
Type String - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- schema
Names List<String> - A filter to return only items related to specific schema name.
getSubsettingPolicySubsettingSchemaRelations Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Schema List<GetRelation Collections Subsetting Policy Subsetting Schema Relations Subsetting Schema Relation Collection> - The list of subsetting_schema_relation_collection.
- Filters
List<Get
Subsetting Policy Subsetting Schema Relations Filter> - Objects List<string>
- Relation
Type string - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- Schema
Names List<string>
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Schema []GetRelation Collections Subsetting Policy Subsetting Schema Relations Subsetting Schema Relation Collection - The list of subsetting_schema_relation_collection.
- Filters
[]Get
Subsetting Policy Subsetting Schema Relations Filter - Objects []string
- Relation
Type string - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- Schema
Names []string
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ stringid - subsetting_
schema_ list(object)relation_ collections - The list of subsetting_schema_relation_collection.
- filters list(object)
- objects list(string)
- relation_
type string - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- schema_
names list(string)
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Schema List<GetRelation Collections Subsetting Policy Subsetting Schema Relations Subsetting Schema Relation Collection> - The list of subsetting_schema_relation_collection.
- filters
List<Get
Subsetting Policy Subsetting Schema Relations Filter> - objects List<String>
- relation
Type String - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- schema
Names List<String>
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy stringId - subsetting
Schema GetRelation Collections Subsetting Policy Subsetting Schema Relations Subsetting Schema Relation Collection[] - The list of subsetting_schema_relation_collection.
- filters
Get
Subsetting Policy Subsetting Schema Relations Filter[] - objects string[]
- relation
Type string - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- schema
Names string[]
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ strid - subsetting_
schema_ Sequence[Getrelation_ collections Subsetting Policy Subsetting Schema Relations Subsetting Schema Relation Collection] - The list of subsetting_schema_relation_collection.
- filters
Sequence[Get
Subsetting Policy Subsetting Schema Relations Filter] - objects Sequence[str]
- relation_
type str - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- schema_
names Sequence[str]
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Schema List<Property Map>Relation Collections - The list of subsetting_schema_relation_collection.
- filters List<Property Map>
- objects List<String>
- relation
Type String - The type of referential relationship the column has with its parent. NONE indicates that the sensitive column does not have a parent. DB_DEFINED indicates that the relationship is defined in the database dictionary. APP_DEFINED indicates that the relationship is defined at the application level and not in the database dictionary.
- schema
Names List<String>
Supporting Types
GetSubsettingPolicySubsettingSchemaRelationsFilter
GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollection
GetSubsettingPolicySubsettingSchemaRelationsSubsettingSchemaRelationCollectionItem
- Child
Columns List<string> - Unique identifiers identifying the child columns in the relation.
- Child
Object stringKey - The key that identifies the child subsetting table in this relation.
- Child
Object stringName - The name of the child subsetting table
- Child
Schema stringName - The database schema that contains the child subsetting table
- Key string
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- Parent
Columns List<string> - Unique identifiers identifying the parents columns in the relation.
- Parent
Object stringKey - The key that identifies the parent subsetting table in this relation.
- Parent
Object stringName - The name of the parent subsetting table
- Parent
Schema stringName - The database schema that contains the parent subsetting table
- Relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Time
Created string - The date and time the subsetting relation was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- Child
Columns []string - Unique identifiers identifying the child columns in the relation.
- Child
Object stringKey - The key that identifies the child subsetting table in this relation.
- Child
Object stringName - The name of the child subsetting table
- Child
Schema stringName - The database schema that contains the child subsetting table
- Key string
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- Parent
Columns []string - Unique identifiers identifying the parents columns in the relation.
- Parent
Object stringKey - The key that identifies the parent subsetting table in this relation.
- Parent
Object stringName - The name of the parent subsetting table
- Parent
Schema stringName - The database schema that contains the parent subsetting table
- Relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Time
Created string - The date and time the subsetting relation was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- child_
columns list(string) - Unique identifiers identifying the child columns in the relation.
- child_
object_ stringkey - The key that identifies the child subsetting table in this relation.
- child_
object_ stringname - The name of the child subsetting table
- child_
schema_ stringname - The database schema that contains the child subsetting table
- key string
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- parent_
columns list(string) - Unique identifiers identifying the parents columns in the relation.
- parent_
object_ stringkey - The key that identifies the parent subsetting table in this relation.
- parent_
object_ stringname - The name of the parent subsetting table
- parent_
schema_ stringname - The database schema that contains the parent subsetting table
- relation_
type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- time_
created string - The date and time the subsetting relation was created, in the format defined by RFC3339.
- time_
updated string - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- child
Columns List<String> - Unique identifiers identifying the child columns in the relation.
- child
Object StringKey - The key that identifies the child subsetting table in this relation.
- child
Object StringName - The name of the child subsetting table
- child
Schema StringName - The database schema that contains the child subsetting table
- key String
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- parent
Columns List<String> - Unique identifiers identifying the parents columns in the relation.
- parent
Object StringKey - The key that identifies the parent subsetting table in this relation.
- parent
Object StringName - The name of the parent subsetting table
- parent
Schema StringName - The database schema that contains the parent subsetting table
- relation
Type String - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- time
Created String - The date and time the subsetting relation was created, in the format defined by RFC3339.
- time
Updated String - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- child
Columns string[] - Unique identifiers identifying the child columns in the relation.
- child
Object stringKey - The key that identifies the child subsetting table in this relation.
- child
Object stringName - The name of the child subsetting table
- child
Schema stringName - The database schema that contains the child subsetting table
- key string
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- parent
Columns string[] - Unique identifiers identifying the parents columns in the relation.
- parent
Object stringKey - The key that identifies the parent subsetting table in this relation.
- parent
Object stringName - The name of the parent subsetting table
- parent
Schema stringName - The database schema that contains the parent subsetting table
- relation
Type string - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- subsetting
Policy stringId - The OCID of the subsetting policy.
- time
Created string - The date and time the subsetting relation was created, in the format defined by RFC3339.
- time
Updated string - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- child_
columns Sequence[str] - Unique identifiers identifying the child columns in the relation.
- child_
object_ strkey - The key that identifies the child subsetting table in this relation.
- child_
object_ strname - The name of the child subsetting table
- child_
schema_ strname - The database schema that contains the child subsetting table
- key str
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- parent_
columns Sequence[str] - Unique identifiers identifying the parents columns in the relation.
- parent_
object_ strkey - The key that identifies the parent subsetting table in this relation.
- parent_
object_ strname - The name of the parent subsetting table
- parent_
schema_ strname - The database schema that contains the parent subsetting table
- relation_
type str - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- time_
created str - The date and time the subsetting relation was created, in the format defined by RFC3339.
- time_
updated str - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
- child
Columns List<String> - Unique identifiers identifying the child columns in the relation.
- child
Object StringKey - The key that identifies the child subsetting table in this relation.
- child
Object StringName - The name of the child subsetting table
- child
Schema StringName - The database schema that contains the child subsetting table
- key String
- The unique key that identifies a relation between subsetting tables. The key is numeric and unique within a subsetting policy.
- parent
Columns List<String> - Unique identifiers identifying the parents columns in the relation.
- parent
Object StringKey - The key that identifies the parent subsetting table in this relation.
- parent
Object StringName - The name of the parent subsetting table
- parent
Schema StringName - The database schema that contains the parent subsetting table
- relation
Type String - A filter to return columns based on their relationship with their parent columns. If set to APP_DEFINED, it returns all the child columns that have application-level (non-dictionary) relationship with their parents. If set to DB_DEFINED, it returns all the child columns that have database-level (dictionary-defined) relationship with their parents.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- time
Created String - The date and time the subsetting relation was created, in the format defined by RFC3339.
- time
Updated String - The date and time the subsetting relation was last updated, in the format defined by RFC3339.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi